Retrieves details of a contract
curl --request GET \
--url https://api.chargecloud.dev/api/v1/crm/contracts/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chargecloud.dev/api/v1/crm/contracts/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chargecloud.dev/api/v1/crm/contracts/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contract": {
"uuid": "<string>",
"is_locked": false,
"billing_blocked": false,
"dunning_locked": false,
"billable": false,
"account_id": 123,
"campaign_id": 123,
"business": false,
"salutation": 123,
"firstname": "<string>",
"surname": "<string>",
"street": "<string>",
"house_number": "<string>",
"zip": "<string>",
"city": "<string>",
"phone": "<string>",
"fax": "<string>",
"email": "<string>",
"billing_salutation": 123,
"billing_firstname": "<string>",
"billing_surname": "<string>",
"billing_street": "<string>",
"billing_house_number": "<string>",
"billing_zip": "<string>",
"billing_city": "<string>",
"billing_email": "<string>",
"billing_phone": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"ordered_at": "2023-11-07T05:31:56Z",
"modification_date": "2023-11-07T05:31:56Z",
"ext_contract_id": "<string>",
"external_id": "<string>",
"customer_group_id": 123,
"company_name": "<string>",
"country_id": 123,
"reference_field_1": "<string>",
"reference_field_2": "<string>",
"billing_company": "<string>",
"billing_title": "<string>",
"billing_country_id": 123,
"billing_fax": "<string>",
"title": "<string>",
"tax_code": "<string>",
"external_customer_id": "<string>",
"auth_enabled": false,
"auth_username": "<string>",
"phone_home": "<string>",
"phone_home_area_code": "<string>",
"phone_mobile": "<string>",
"phone_mobile_area_code": "<string>",
"phone_business": "<string>",
"phone_business_area_code": "<string>",
"email_private": "<string>",
"email_business": "<string>",
"vehicle_manufacturer": "<string>",
"vehicle_model": "<string>",
"vehicle_license_plate": "<string>",
"vehicle_country_of_registration_id": 123,
"advertising_agreement_mail": false,
"advertising_agreement_phone": false,
"advertising_agreement_email": false,
"accept_current_agb": false,
"accept_current_privacy_policy": false
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"errors": [
{
"errorKey": "<string>",
"message": "<string>",
"parameter": "<string>"
}
]
}{
"error": "<string>"
}V1
Retrieves details of a contract
Retrieves details for a contract. Required permission: crm:contract:read
GET
/
api
/
v1
/
crm
/
contracts
/
{uuid}
Retrieves details of a contract
Was this page helpful?
⌘I